using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _5_16
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int l = 8;
            int n = 10;
            string[] rs = new string[n];
            Random rnd = new Random();
            string lc = "1234567890";
            for (int i = 0; i < n; i++)
                for (int j = 0; j < l; j++)
                    rs[i] += (lc.Substring(rnd.Next(0, lc.Length), 1));
            listBox1.Items.AddRange(rs);
        }
    }
}
